### A free/open-source library for quantitative finance

Classes
ql/pricingengines/forward/mcvarianceswapengine.hpp File Reference

Monte Carlo variance-swap engine. More...

`#include <ql/pricingengines/mcsimulation.hpp>`
`#include <ql/math/integrals/segmentintegral.hpp>`
`#include <ql/instruments/varianceswap.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
Include dependency graph for mcvarianceswapengine.hpp:

## Classes

class | MCVarianceSwapEngine< RNG, S >
| Variance-swap pricing engine using Monte Carlo simulation,. More...
class | MakeMCVarianceSwapEngine< RNG, S >
| Monte Carlo variance-swap engine factory. More...

## Detailed Description

Monte Carlo variance-swap engine.